"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var teleport_project_generator_1 = require("@teleporthq/teleport-project-generator");
var teleport_component_generator_vue_1 = require("@teleporthq/teleport-component-generator-vue");
var teleport_component_generator_1 = require("@teleporthq/teleport-component-generator");
var teleport_plugin_vue_app_routing_1 = __importDefault(require("@teleporthq/teleport-plugin-vue-app-routing"));
var teleport_plugin_import_statements_1 = __importDefault(require("@teleporthq/teleport-plugin-import-statements"));
var teleport_postprocessor_prettier_html_1 = __importDefault(require("@teleporthq/teleport-postprocessor-prettier-html"));
var teleport_postprocessor_prettier_js_1 = __importDefault(require("@teleporthq/teleport-postprocessor-prettier-js"));
var vue_project_mapping_json_1 = __importDefault(require("./vue-project-mapping.json"));
exports.createVueBasicGenerator = function () {
    var vueComponentGenerator = teleport_component_generator_vue_1.createVueComponentGenerator(vue_project_mapping_json_1.default);
    var vueRouterGenerator = teleport_component_generator_1.createComponentGenerator();
    vueRouterGenerator.addPlugin(teleport_plugin_vue_app_routing_1.default);
    vueRouterGenerator.addPlugin(teleport_plugin_import_statements_1.default);
    vueRouterGenerator.addPostProcessor(teleport_postprocessor_prettier_js_1.default);
    var htmlFileGenerator = teleport_component_generator_1.createComponentGenerator();
    htmlFileGenerator.addPostProcessor(teleport_postprocessor_prettier_html_1.default);
    var generator = teleport_project_generator_1.createProjectGenerator({
        components: {
            generator: vueComponentGenerator,
            path: ['src', 'components'],
        },
        pages: {
            generator: vueComponentGenerator,
            path: ['src', 'views'],
        },
        router: {
            generator: vueRouterGenerator,
            path: ['src'],
            fileName: 'router',
        },
        entry: {
            generator: htmlFileGenerator,
            path: ['public'],
        },
        static: {
            prefix: '/assets',
            path: ['src', 'assets'],
        },
    });
    return generator;
};
exports.default = exports.createVueBasicGenerator();
//# sourceMappingURL=index.js.map